## fcam 1.0.0-1

=== debian/changelog ===
fcam (1.0.0-1) unstable; urgency=low

  * Initial release

 -- Eino-Ville Talvala <talvala@stanford.edu>  Tue, 20 Jul 2010 15:59:38 -0700
