=== debian/control ===
Source: fcam
Priority: extra
Maintainer: Eino-Ville Talvala <talvala@stanford.edu>
Build-Depends: debhelper (>= 5), libjpeg-dev
Standards-Version: 3.7.2
Section: libs

Package: fcam-dev
Section: libdevel
Architecture: any
Depends: libjpeg
Description: FCam Camera Control API
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1693
 Development package for the FCam camera control API.
 Enables full, precise control of the the N900 camera subsystem,
 including sensor, lens, and flash.
