## fcam 1.0.0-2

=== debian/changelog ===
fcam (1.0.0-2) unstable; urgency=low

  * Fixed packaging dependencies on libjpeg.

 -- Eino-Ville Talvala <talvala@stanford.edu>  Tue, 20 Jul 2010 18:49:38 -0700
