## fcam 1.0.0-3

=== Makefile ===
--- 
+++ 
@@ -145,11 +145,12 @@
 	find include/FCam -name '*.h' -exec cp '{}' '$(DESTDIR)/usr/{}' ';'
 	cp libFCam.a $(DESTDIR)/usr/lib
 
+# Build release packages for distribution
 deb:
 	dpkg-buildpackage -rfakeroot -b -uc
 
 deb-src:
-	dpkg-buildpackage -rfakeroot -sa -S
+	dpkg-buildpackage -rfakeroot -sa -S -I'\.svn'
 
 # Clean it all up
 .PHONY: clean
