=== debian/changelog ===
fcam (1.0.0-3) unstable; urgency=low

  * Removed accidental .svn inclusion in package

 -- Eino-Ville Talvala <talvala@stanford.edu>  Tue, 20 Jul 2010 18:49:38 -0700
