## fcam 1.0.0-4

=== Makefile ===
--- 
+++ 
@@ -131,6 +131,8 @@
 .PHONY: package
 package: release
 	-rm FCam.zip
+	make -C examples
+	doxygen
 	svn -R list | zip -@ FCam.zip
 	find libFCam.a examples/bin/example? doc | zip -@ FCam.zip
