=== examples/example1/Makefile ===

ifdef OE_QMAKE_CXX

$(info ** Compiling for Angstrom **)
CC = $(OE_QMAKE_CXX)
AR = $(OE_QMAKE_AR)
CXXFLAGS += $(INCPATH)
PLATFORM=PLATFORM_F2
else

$(info ** Compiling for Maemo **)
CC      := g++
PLATFORM=PLATFORM_N900
endif

TARGET  := ../bin/example1

CC      := g++
CFLAGS  := -g -Wall -I../../include
LDFLAGS := -L ../.. -lFCam -ljpeg -lpthread 
FILES   := example1

OBJS = $(addsuffix .o, $(FILES))

.cpp.o:
	$(CC) $(CFLAGS) -c $< -o $@

build: $(OBJS)
	$(CC) -o $(TARGET) $(OBJS) $(LDFLAGS)

clean:
	rm -rf *.o $(TARGET) .\#* \#* *~ core
