=== debian/changelog ===
fcam (1.0.0-4) unstable; urgency=low

  * Removed Depends: libjpeg-dev until it gets sorted out properly.

 -- Eino-Ville Talvala <talvala@stanford.edu>  Tue, 20 Jul 2010 21:04:28 -0700
