## fcam 1.0.1-1

=== debian/changelog ===
fcam (1.0.1-1) unstable; urgency=low

  * Fixed cyan-tinted DNG due to malformed DNG metadata.

  * Added homepage link.

 -- Eino-Ville Talvala <talvala@stanford.edu>  Tue, 20 Jul 2010 21:04:28 -0700
