=== changelog ===
fcam (1.0.1-2) unstable; urgency=low

  * Removed libjpeg62-dev as a dependency, causes warning in package system.

 -- Eino-Ville Talvala <talvala@stanford.edu>  Tue, 20 Jul 2010 21:04:28 -0700
