=== debian/changelog ===
fcam (1.1.0-1) unstable; urgency=low

  * Numerous DNG updates and fixes: Now works with dcraw, color rendition improved in general, ACR 2010 denoising works.

  * Compatibility with N900 built-in camera night mode and BlessN900.

  * Added memory-mapped Image support

  * API break: Improved WB handling: Shots can now contain a custom WB matrix instead of just a color temperature.

  * Correct date->month conversion.

  * Various error checking improvements throughout the codebase.

 -- Eino-Ville Talvala <talvala@stanford.edu>  Mon, 16 Aug 2010 13:30:00 -0700
