## fcam 1.1.0-2

=== debian/changelog ===
fcam (1.1.0-2) unstable; urgency=low

  * Removed unneeded files from package

 -- Eino-Ville Talvala <talvala@stanford.edu>  Mon, 16 Aug 2010 15:20:00 -0700
