## fcam 1.1.1-1

=== Makefile ===
--- 
+++ 
@@ -29,25 +29,25 @@
 
 ## Determine target platform - fairly brittle right now
 ifdef OE_QMAKE_CXX
- PLATFORM=f2
- PLATFORM_UC=F2
- ARCH=ARM
-else
- ifneq (,$(findstring arm, $(MACH)))
+  PLATFORM=f2
+  PLATFORM_UC=F2
+  ARCH=ARM
+else ifneq (,$(findstring arm, $(MACH)))
   PLATFORM=n900
   PLATFORM_UC=N900
   ARCH=ARM
- else
-  ifneq (,$(findstring apple, $(MACH)))
-   PLATFORM=osx
-   PLATFORM_UC=OSX
-   ARCH=X86
-  else
-   PLATFORM=x86
-   PLATFORM_UC=X86
-   ARCH=X86
-  endif
- endif
+else ifneq (,$(findstring apple, $(MACH)))
+  PLATFORM=osx
+  PLATFORM_UC=OSX
+  ARCH=X86
+else ifneq (,$(findstring cygwin, $(MACH)))
+  PLATFORM=cygwin
+  PLATFORM_UC=CYGWIN
+  ARCH=X86
+else 
+  PLATFORM=x86
+  PLATFORM_UC=X86
+  ARCH=X86
 endif
 
 CXXFLAGS += -D FCAM_PLATFORM_$(PLATFORM_UC) -D FCAM_ARCH_$(ARCH)
@@ -94,6 +94,15 @@
  LIBS = -L/opt/local/lib
 endif
 
+ifeq ($(PLATFORM),cygwin)
+ $(info ** Compiling FCam for x86/Cygwin **)
+ # Basic X86 compile
+ CXX = g++
+ AR = ar
+ CXXFLAGS += $(CXXFLAGS_X86)
+ LIBS =	-lrt
+endif
+
 ifeq ($(PLATFORM),x86)
  $(info ** Compiling FCam for x86/Posix **)
  # Basic X86 compile
@@ -143,7 +152,11 @@
 
 .PHONY: install
 install: release
-	mkdir -p $(DESTDIR)/usr/include/FCam/{N900,F2,Dummy,processing} $(DESTDIR)/usr/lib
+	mkdir -p $(DESTDIR)/usr/lib
+	mkdir -p $(DESTDIR)/usr/include/FCam/N900
+	mkdir -p $(DESTDIR)/usr/include/FCam/F2
+	mkdir -p $(DESTDIR)/usr/include/FCam/Dummy
+	mkdir -p $(DESTDIR)/usr/include/FCam/processing
 	find include/FCam -name '*.h' -exec cp '{}' '$(DESTDIR)/usr/{}' ';'
 	cp libFCam.a $(DESTDIR)/usr/lib
 
@@ -168,7 +181,11 @@
 # Create needed directories
 .PHONY: make_dirs
 make_dirs:
-	@-mkdir -p $(BUILD_DIR)/{processing,F2,N900,Dummy} $(BINARY_DIR)
+	@-mkdir -p $(BUILD_DIR)/processing
+	@-mkdir -p $(BUILD_DIR)/F2
+	@-mkdir -p $(BUILD_DIR)/N900
+	@-mkdir -p $(BUILD_DIR)/Dummy
+	@-mkdir -p $(BINARY_DIR)
 
 # Release library build
 $(RELEASE_DIR).$(PLATFORM)/libFCam.a: $(RELEASE_OBJECTS) $(LAST_MAKE_TRACKER) | make_dirs 
@@ -206,7 +223,7 @@
 
 ## Test code libraries
 CXXTESTFLAGS= $(CXXFLAGS)
-TESTLIBS = $(LIBS) -lpthread -ltiff -ljpeg #-L. -lFCam 
+TESTLIBS = $(LIBS) -L. -lFCam -lpthread -ljpeg 
 
 ## Test code build targets
 tests: $(TESTS)
@@ -214,10 +231,18 @@
 ## Base FCam test targets, works for anything named tests/test*.cpp. For a release version test build, append -r to target name.
 
 test%: tests/test%.cpp debug
-	$(CXX) -O3 $(CXXTESTFLAGS) $(CXXFLAGS_DEBUG) -o $(DEBUG_DIR).$(PLATFORM)/test$* $< $(DEBUG_OBJECTS) $(TESTLIBS)
+	$(CXX) -O3 $(CXXTESTFLAGS) $(CXXFLAGS_DEBUG) -o $(DEBUG_DIR).$(PLATFORM)/test$* $< $(TESTLIBS)
 	cp $(DEBUG_DIR).$(PLATFORM)/test$* $(BINARY_DIR)
 
 test%-r: tests/test%.cpp release
-	$(CXX) -O3 $(CXXTESTFLAGS) -g $(CXXFLAGS_RELEASE) -o $(RELEASE_DIR).$(PLATFORM)/test$* $< $(RELEASE_OBJECTS) $(TESTLIBS)
+	$(CXX) -O3 $(CXXTESTFLAGS) -g $(CXXFLAGS_RELEASE) -o $(RELEASE_DIR).$(PLATFORM)/test$* $< $(TESTLIBS)
 	cp $(RELEASE_DIR).$(PLATFORM)/test$* $(BINARY_DIR)
 
+### Utility programs 
+UTILS = fcamDngUtil
+
+utils: $(UTILS)
+
+fcamDngUtil: utils/fcamDngUtil.cpp release
+	$(CXX) -O3 $(CXXFLAGS) -o $(RELEASE_DIR).${PLATFORM}/$@ $<  $(TESTLIBS) 
+	cp $(RELEASE_DIR).${PLATFORM}/$@ $(BINARY_DIR)
