=== debian/changelog ===
fcam (1.1.1-1) unstable; urgency=low

  * 1296x968 RAW now works (648x492 still doesn't).

  * dcraw and derived libraries can now find our thumbnails

  * The settings of the last shot are left as the V4L2 device state on exit now, to allow other V4L2 devices to piggyback on our settings.

 -- Andrew Adams <abadams@stanford.edu>  Wed, 23 Sep 2010 18:43:00 -0700
