=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: fcam-dev
 Section: libdevel
 Architecture: any
-Depends: libjpeg62-dev 
+Depends: 
 Description: FCam Camera Control API
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1693
  Development package for the FCam camera control API.
